To LUGNET HomepageTo LUGNET News HomepageTo LUGNET Guide Homepage
 Help on Searching
 
Post new message to lugnet.robotics.rcx.legosOpen lugnet.robotics.rcx.legos in your NNTP NewsreaderTo LUGNET News Traffic PageSign In (Members)
 Robotics / RCX / legOS / 3606
3605  |  3607
Subject: 
Re: problems wirh installing driver for usb-tower under linux
Newsgroups: 
lugnet.robotics.rcx.legos
Date: 
Sun, 4 Jan 2004 12:38:59 GMT
Viewed: 
7384 times
  
Von: "Annedore Rößling" <u15780@hs-harz.de>
Betreff: Re: problems wirh installing driver for usb-tower under linux
Datum: Sonntag, 4. Januar 2004 13:25


> If you look into the configure script you can found this line :
> 
> if ! test -f $KINC/linux/version.h ; then
>   { echo "configure: error: no suitable configured kernel include tree
> found" 1>&2; exit 1; }
> fi
> 
> So the test return 0 that indicate you don't have the source ! Why ?
> certainly cause you don't indicate the good directory ...
> 
> Then what is $KINC ? Look before those line and see that
> 
> UNAMER=`uname -r`
> if ! test "$KSRC$KINC" ; then
>   if test -d "/usr/src/linux" ; then
>     KSRC=/usr/src/linux
>   elif test -d "/usr/src/linux-$UNAMER" ; then
>     KSRC=/usr/src/linux-$UNAMER
>   fi
> 
> look to the command uname -r
> $ uname -r
> 2.4.20
> $
> 
> So if the directory /usr/src/linux exist KSRC=/usr/src/linux
> else KSRC=/usr/src/linux-$UNAMER for example : KSRC=/usr/src/linux-2.420
> 
> So make sure that your kernel is untar in the /usr/src/ and the name is
> linux or linux-$UNAMER
> 
> if not you can do somthing like that ln -s /REAL/LINUX/DIRECTORY/
> /usr/src/linux
> 
> nanobapt


When I tried

./configure --with-linux-include=/usr/src/linux-2.4.21-99-athlon/include/

confiure.in continued but stopped with the following message:

checking for kernel version...
configure: error: Unsupported kernel version


In Configure.in I found the lines:

case "$KVERS" in
2.[[01234]].*) ;;
*) AC_MSG_ERROR(Unsupported kernel version)

I looked in version.h and found out, that I have to configure the kernel
first. I think that`s the problem now.

Thanx for your quick answer!

Anne



Message is in Reply To:
  Re: problems wirh installing driver for usb-tower under linux
 
(...) If you look into the configure script you can found this line : if ! test -f $KINC/linux/version.h ; then { echo "configure: error: no suitable configured kernel include tree found" 1>&2; exit 1; } fi So the test return 0 that indicate you (...) (23 years ago, 3-Jan-04, to lugnet.robotics.rcx.legos)

3 Messages in This Thread:

Entire Thread on One Page:
Nested:  All | Brief | Compact | Dots
Linear:  All | Brief | Compact
    

©2005 LUGNET. All rights reserved. - hosted by steinbruch.info GbR